/* Generics | The main body */

*{
    margin: 0px;
    padding: 0px;
    font-family:"Orbitron", sans-serif;
    font-weight:400;
    color:#EBEBEB;
    cursor: url("../Assets/Home/CURs/moroquint_Cursor_1.cur")5 5, auto;
}

img {
    -webkit-user-drag: none;
    -moz-user-drag: none;
    -ms-user-drag: none;
    user-select: none;
    pointer-events: none;
}

a {
    text-decoration: none;
    cursor: url("../Assets/Home/CURs/moroquint_Cursor_2.cur") 5 5, auto;
}

::selection {
  color: #111010;
  background: #EBEBEB;
}

input::selection {
    color: #EBEBEB;
    background-color: #111010;
}

::-webkit-scrollbar {
  width: 10px;
}

::-webkit-scrollbar-track {
  background: #111010;
}

::-webkit-scrollbar-thumb {
  background: #EBEBEB;
  border-radius: 0px;
}

::-webkit-scrollbar-thumb:hover {
  background: #EBEBEB;
}

/* h6 is reserved for black text in white background */

h6{
    color: #111010;
}

h6::selection {
  color: #EBEBEB;
  background: #111010;
}


body{
    background-color: #111010;
}

#Home_main{
    background-color: #111010;
}

#main_border{
    border: 3px #EBEBEB solid;
    margin-inline: 2%;
    margin-top: 3vh;
    width: 96%;
}

/* Navbar style */

#navbar{
    border-bottom: 3px #EBEBEB solid;
    height: 10vh;
    min-height: 40px;
    display: grid;
    grid-template-columns: 10vh 1fr 3fr 10vh;
}

/* Navbar exception media query */
@media (max-height:400px) {
    #navbar{
        grid-template-columns: 40px 1fr 3fr 40px;
    }
}

#Logo_container{
    border-right: #EBEBEB 3px solid;
    display: flex;
    justify-content: center;
    align-items: center;
    height: 100%;
    min-width: 40px;
    min-height: 40px;
}

#Logo_container a{
    display: flex;
    justify-content: center;
    align-items: center;
    height: 70%;
    width: 70%;
}

#Logo_container img{
    width: 100%;
    height: auto;
}

#Title_container{
    border-right: #EBEBEB 3px solid;
    display: flex;
    justify-content: center;
    align-items: center;
}

#Title_container h1{
    font-size: 1.7vw;
}

#Links_container{
    border-right: #EBEBEB 3px solid;
    display: flex;
    justify-content: space-around;
    align-items: center;
}

#Links_container a{
    font-size: 1.5vw;
}

#Qr_container{
    display: flex;
    justify-content: center;
    align-items: center;
    min-width: 40px;
    min-height: 40px;
}

#Qr_container img{
    height: 90%;
    width: 90%;
}

#Menu_container{
    display: none;
}


/* UC main scene style */

#UC_main{
    background-image: url(../Assets/UC/uc_background.png);
    background-repeat: no-repeat;
    background-size: cover;
    height: 80vh;
    min-height: 900px;
    max-height: 1200px;
}

#UC_header{
    display: flex;
    justify-content: space-between;
    align-items: start;
    margin-inline: 2vw;
    padding-top: 2rem;
}

#UC_header_title{
    font-size: 5vw;
    font-weight: 400;
}

#UC_header_title_2{
    display: flex;
    justify-content: start;
    align-items: center;
}

#UC_header_title_2 img{
    width: 7vw;
    margin-inline: 5vw;
}


#redirect_counter{
    margin-top: 6vh;
    text-align: center;
}

#redirect_counter h1{
    font-size: 2.5vw;
    border-bottom: 5px #EBEBEB solid;
    text-align: center;
    font-family: "Pixelify sans", sans-serif;
}

#redirect_counter h2{
    margin-top: 0.3rem;
    font-size: 1vw;
    font-weight: 400;
    color: #9370DB;
    text-align: center;
}

#UC_fence{
    display: flex;
    justify-content: space-around;
    align-items: center;
    margin-top: 8rem;
}

#UC_fence img{
    width: 20vw;
}

#Mobile_UC_fence{
    display: none;
}

#UC_discription {
    display: flex;
    justify-content: end;
    align-items: center;
    margin-top: 8vh;
    margin-right: 4vw;
}

#UC_discription h1{
    font-size: 1vw;
    font-weight: 400;
    width: 35vw;
    font-family: "Pixelify sans", sans-serif;
}


/* Footer section styles */

#Footer_section{
    display: grid;
    margin-top: 10vh;
}

#main_footer{
    display: flex;
    justify-content: space-between;
    align-items: start;
    margin-inline: 2%;
    padding-bottom: 10vh;
}

#footer_description{
    width: auto;
}

#footer_description div{
    display: flex;
    justify-content: start;
    align-items: center;
    margin-bottom: 1rem;
}

#footer_description div img{
    width: 50px;
    margin-right: 1rem;
}

#footer_description div h1{
    font-size: 1vw;
    font-weight: 500;
    margin-right: 1rem;
}

#footer_description_text{
    width: 20vw;
    font-size: 1vw;
    font-weight: 100;
    font-family: "Space grotesk", sans-serif;
}

#footer_links{
    height: 300px;
    width: 10vw;
    display: grid;
    grid-template-rows: 1fr 1fr 1fr 1fr 1fr 1fr 1fr;
}

#footer_links a{
    text-decoration: none;
    justify-self: start;
    align-self: center;
}

#footer_links h1{
    font-family: "Space grotesk", sans-serif;
    font-size: 1vw;
    color: #9470db80;
    font-weight: 100;
}

#footer_links h2{
    font-family: "Space grotesk", sans-serif;
    font-size: 1vw;
    font-weight: 100;
    cursor: url("../Assets/Home/CURs/moroquint_Cursor_2.cur")0 0, pointer;
}

#Copyright_section{
    margin-top: 1vh;
    margin-bottom: 10px;
    padding-inline: 2rem;
    display: flex;
    justify-content: space-between;
    align-items: center;
    margin-top: 10vh;
}

#Copyright_text h1{
    font-size: 1vw;
}

#Copyright_text div{
    display: flex;
    justify-content: space-between;
    align-items: center;
}

#Copyright_text h2{
    color: #9370DB;
    font-size: 1vw;
    cursor: url("../Assets/Home/CURs/moroquint_Cursor_2.cur")0 0, pointer;
}

#footer_logo{
    display: flex;
    justify-content: space-between;
    align-items: center;
}

#footer_logo img{
    height: 40px;
    margin-right: 1vw;
}

#footer_logo h1{
    font-size: 1.3vw;
    font-weight: 500;
}

















/* Style for Screens between 1500px width & 1100px width */

@media (max-width:1500px) {

/* Generics | The main body */

#main_border{
    border: 2px #EBEBEB solid;
}

/* Navbar style */


#navbar{
    border-bottom: #EBEBEB 2px solid;
}
#Links_container{
    border-right: #EBEBEB 2px solid;
}


/* UC main scene style */

#UC_main{
    min-height: 700px;
    max-height: 800px;
}


}










/* Style for Screens between 1100px width & 800px width */

@media (max-width:1100px) {

/* Generics | The main body */

#main_border{
    border: 1px #EBEBEB solid;
}

/* Navbar style */


#navbar{
    border-bottom: 1px #EBEBEB solid;
}

#Logo_container{
    border-right: 1px #EBEBEB solid;
}

#Title_container{
    border-right: 1px #EBEBEB solid;
}

#Links_container{
    border-right: #EBEBEB 1px solid;
}

/* UC main scene style */

#UC_main{
    min-height: 600px;
    max-height: 700px;
}


/* Footer section styles */

#main_footer{
    display: grid;
    grid-template-columns: repeat(5, 1fr);
    grid-auto-rows: auto;
    margin-inline: 2%;
    padding-bottom: 10vh;
}

#footer_description{
    width: 100%;
    grid-column: 1 / -1;
}

#footer_description div{
    justify-content: center;
}

#footer_description div img{
    width: 5vw;
    margin-right: 1rem;
}

#footer_description div h1{
    font-size: 2vw;
}

#footer_description_text{
    width: 100%;
    font-size: 1.5vw;
    text-align: center;
    margin-bottom: 50px;
}

#footer_links{
    height: 200px;
    width: auto;
    display: grid;
    justify-content: center;
}

#footer_links h1{
    font-family: "Space grotesk", sans-serif;
    font-size: 1.5vw;
    font-weight: 100;
}

#footer_links h2{
    font-family: "Space grotesk", sans-serif;
    font-size: 1.5vw;
}

}











/* Style for Screens under 800px width */

@media (max-width:800px) {

/* Navbar style */

#navbar{
    border-bottom: 1px #EBEBEB solid;
    height: 7vh;
    min-height: 40px;
    display: flex;
    justify-content: space-between;
    align-items: center;
}

#Logo_container{
    height: 7vh;
    width: 7vh;
    min-height: 40px;
    min-width: 40px;
}

#Logo_container img{
    height: 100%;
    width: 100%;
}

#Title_container{
    border: 0px;
}

#Title_container h1{
    font-size: 4vw;
}

#Links_container{
    display: none;
}

#Qr_container{
    display: none;
}

#Menu_container{
    display: flex;
    justify-content: center;
    align-items: center;
    height: 7vh;
    width: 7vh;
    min-height: 40px;
    min-width: 40px;
    border-left: 1px #EBEBEB solid;
    z-index: 100;
}

.hidden-menu {
    background-color: #111010;
    border-left: 1px solid #EBEBEB;
    background-image: url(../Assets/Home/PNGs/Amazigh_script.png);
    background-position: center;
    background-repeat: no-repeat;
    background-size: cover;
    height: 100vh;
    width: 100%;
    max-width: 450px;
    position: fixed;
    top: 0;
    right: -450px;
    display: flex;
    flex-direction: column;
    align-items: center;    
    justify-content: center;
    gap: 10vh;
    text-align: center;
    font-size: 3rem;
    transition: .6s ease;
}

.hidden-menu-link {
    display: flex;
    justify-content: center;
    align-items: center;
}

.hidden-menu.active {
    right: 0;
}

.hidden-menu a{
    font-size: 5vw;
}

.hidden-menu.active a{
    font-size: 5vw;
}

.menu-button {
    height: 100%;
    width: 100%;
    margin-left: auto;
    position: relative;
    cursor: url("../Assets/Home/CURs/moroquint_Cursor_2.cur") 5 5, auto;
}

.menu-button img {
    height: 60%;
    width: auto;
    position: absolute;
    left: 50%;
    top: 50%;
    transform: translate(-50%, -50%);
    transition: .3s ease;
}

.menu-button.active img {
    top: 50%;
    transform: translate(-50%, -50%) rotate(180deg);
}

/* UC main scene style */

#UC_main{
    height: 60vh;
    min-height: 500px;
    max-height: 600px;
}

#redirect_counter{
    margin-top: 2vh;
}

/* Footer section styles */

#Copyright_section{
    padding-inline: 2%;
}

#Copyright_text h1{
    font-size: 1.5vw;
}

#Copyright_text h2{
    color: #9370DB;
    font-size: 1.5vw;
}

#footer_logo img{
    height: 30px;
    margin-right: 1vw;
}

#footer_logo h1{
    font-size: 2VW;
    font-weight: 500;
}
}












/* Style for Screens under 500px width */

@media (max-width:500px) {

/* Hero section styles */

/* Navbar style */

.hidden-menu a{
    font-size: 7vw;
}

.hidden-menu.active a{
    font-size: 7vw;
}

body.menu-open{
    overflow: hidden;
}

/* UC main scene style */

#UC_main{
    height: 90vh;
    min-height: 600px;
    max-height: 700px;
    display: flex;
    flex-direction: column;
    justify-content: space-between;
}

#UC_header{
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: start;
    margin-inline: 4vw;
    padding-top: 2rem;
}

#UC_header_title{
    font-size: 8vw;
    font-weight: 400;
}

#UC_header_title_2{
    display: flex;
    justify-content: space-between;
    align-items: center;
}

#UC_header_title_2 img{
    width: 7vw;
    margin: 0px;
    margin-right: 5vw;
}


#redirect_counter{
    margin-top: 5vh;
    align-self: end;
}

#redirect_counter h1{
    font-size: 4vw;
    padding-bottom: 0.5vh;
    border-bottom: 3px #EBEBEB solid;
    text-align: center;
}

#redirect_counter h2{
    padding-top: 0.5vh;
    margin: 0px;
    font-size: 2vw;
    font-weight: 400;
    color: #9370DB;
    text-align: center;
}

#UC_fence{
    display: none;
}

#Mobile_UC_fence{
    display: flex;
    justify-content: center;
    align-items: start;
}

#Mobile_UC_fence img{
    width: 70vw;
}

#UC_discription {
    display: flex;
    justify-content: start;
    align-items: center;
    margin: 0px;
    padding: 4vw;
    margin-bottom: 5rem;
}

#UC_discription h1{
    font-size: 3vw;
    width: 100%;
    text-align: center;
}


/* Footer section styles */

#main_footer{
    display: grid;
    grid-template-columns: repeat(5, 1fr);
    grid-auto-rows: auto;
    margin-inline: 2%;
    padding-bottom: 10vh;
}

#footer_description div h1{
    font-size: 4vw;
}

#footer_description_text{
    font-size: 2vw;
}

#footer_links{
    height: 100px;
    width: auto;
    display: grid;
    gap: 1.8vh;
}

#footer_links h1{
    font-family: "Space grotesk", sans-serif;
    font-size: 2.2vw;
    font-weight: 500;
}

#footer_links h2{
    font-family: "Space grotesk", sans-serif;
    font-size: 2.2vw;
    font-weight: 300;
}

#footer_logo img{
    height: 20px;
}
}